Bug 73404 - built-in tests don't pass
built-in tests don't pass
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kdemultimedia (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
http://doc.trolltech.com/3.0/porting....
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-04 04:24 EDT by Andrey
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-25 15:57:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for 'dcopplay.cpp' (320 bytes, patch)
2002-09-04 04:25 EDT, Andrey
no flags Details | Diff
patch for spec-file 'kdemultimedia.spec' to run `make check` after `make` (226 bytes, patch)
2002-09-04 04:28 EDT, Andrey
no flags Details | Diff

  None (edit)
Description Andrey 2002-09-04 04:24:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
I tried to run built-in tests coming with 'kdemultimedia' package but they have 
crashed. 
'Kdemultimedia' from Red Hat 7.3 distribution uses version 3 of QT-library. 
One of built-in tests uses 'debug' function (declared in 'qglobal.h' from QT-
library). 
As it's written in 'Porting to Qt 3.x' document 
(http://doc.trolltech.com/3.0/porting.html) "The name of some debugging macro 
functions has been changed as well but source compatibility should not be 
affected if the macro variable QT_CLEAN_NAMESPACE is not defined". But while 
building the package QT_CLEAN_NAMESPACE macro is defined everywhere. 
Thus 'debug' identifier isn't found and built-in tests crash.
There is 'qDebug' function used in QT-3 instead of 'debug' in earlier versions. 
So we can replace 'debug' to 'qDebug' and tests will pass.
Patch for 'dcopplay.cpp' is attached.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. patch spec-file 'kdemultimedia.spec' using `patch kdemultimedia.spec 
kdemultimedia.spec.patch` (kdemultimedia.spec.patch is attached) to do `make 
check` after `make`
2. start building of package as usual


Actual Results:  Piece of build dump:
.......
g++ -DHAVE_CONFIG_H -I. -I. -I.. `/usr/bin/artsc-config --cflags` -
I/usr/include/kde -I/usr/lib/qt3-gcc2.96/inclu
de -I/usr/X11R6/include  -DDEFAULT_PATH=\"/usr/share/apps/kmidi/config\" -
DKMIDI -DAU_OSS -DQT_THREAD_SUPPORT  -D
_REENTRANT -DQT_THREAD_SUPPORT  -D_REENTRANT  -DNDEBUG -DNO_DEBUG -O2 -O2 -
march=i386 -mcpu=i686 -DNDEBUG -fno-ch
eck-new -fno-exceptions -fno-check-new -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -
O3 -fomit-frame-pointer -ffast-ma
th -c -o dcopplay.o `test -f dcopplay.cpp || echo './'`dcopplay.cpp
dcopplay.cpp: In function `int main (int, char **)':
dcopplay.cpp:22: `debug' undeclared (first use this function)
dcopplay.cpp:22: (Each undeclared identifier is reported only once for
each function it appears in.)
make[3]: *** [dcopplay.o] Error 1
...........

Expected Results:  Here should be no any errors.

Additional info:
Comment 1 Andrey 2002-09-04 04:25:42 EDT
Created attachment 74846 [details]
Patch for 'dcopplay.cpp'
Comment 2 Andrey 2002-09-04 04:28:21 EDT
Created attachment 74847 [details]
patch for spec-file 'kdemultimedia.spec' to run `make check` after `make`
Comment 3 Ngo Than 2002-10-15 09:46:52 EDT
many thanks for your bug report. This bug has been fixed in 3.0.4-1 or newer.

Note You need to log in before you can comment on or make changes to this bug.